Search code generators
Search code generators
Query Parameters
- Type: stringpagemin length:1
page offset to display a range of records from
- Type: stringper
_page min length:1maximum number of records to return in the search
- Type: "asc" or "desc"enumorder
sort the records in either ascending (asc) or descending (desc) order
- Type: stringsort
_by comma-separated list of field names to sort records by
- Type: stringprefix
filter by code prefix
- Type: stringdescription
filter by description
- Type: "active" or "archived"enumstatus
filter by status
- Type: integerstore
_id filter by store ID
- Type: stringFormat: date-timecreated
_at filter by creation timestamp (RFC3339)
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for get/v1.0/codegen
curl 'https://api.sparkfly.com/v1.0/codegen?page=1&per_page=5000&order=asc&status=active' \
--header 'X-Auth-Token: YOUR_SECRET_TOKEN'
{
"page": 1,
"per_page": 1,
"total_entries": 1,
"total_pages": 1,
"code_generators": [
{
"code_generator": {
"generation_type": "sparkfly",
"buffer_type": "default",
"code_length": 1,
"description": "string",
"prefix": "string",
"store_id": 1,
"status": "active",
"id": 1,
"account_id": 1,
"created_at": "string",
"updated_at": "string"
},
"errors": {}
}
]
}